Debian Bug report logs - #663008
missing net/ppp_defs.h

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Christoph Egger <christoph@debian.org>

Date: Wed, 7 Mar 2012 23:57:02 UTC

Severity: serious

Tags: sid, wheezy

Fixed in version kfreebsd-kernel-headers/0.78

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Zak B. Elep <zakame@spunge.org>:
Bug#663008; Package src:gnome-ppp. (Wed, 07 Mar 2012 23:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Zak B. Elep <zakame@spunge.org>. (Wed, 07 Mar 2012 23:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: gnome-ppp: FTBFS(kfreebsd): fatal error: net/ppp_defs.h: No such file or directory
Date: Thu, 08 Mar 2012 00:54:13 +0100
Package: src:gnome-ppp
Version: 0.3.23-1.1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -DHAVE_CONFIG_H -I. -I. -I.. -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/i386-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/libglade-2.0 -I/usr/include/libxml2     -Wall -export-dynamic -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c gnome-ppp-connected.c
In file included from gnome-ppp-connected.c:25:0:
gnome-ppp.h:47:26: fatal error: net/ppp_defs.h: No such file or directory
compilation terminated.
make[3]: *** [gnome-ppp-connected.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=gnome-ppp&arch=kfreebsd-amd64&ver=0.3.23-1.1&stamp=1326274162

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Zak B. Elep <zakame@spunge.org>:
Bug#663008; Package src:gnome-ppp. (Thu, 08 Mar 2012 07:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Zak B. Elep <zakame@spunge.org>. (Thu, 08 Mar 2012 07:45:17 GMT) Full text and rfc822 format available.

Message #10 received at 663008@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 663008@bugs.debian.org
Cc: gnome-ppp@packages.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#663008: gnome-ppp: FTBFS(kfreebsd): fatal error: net/ppp_defs.h: No such file or directory
Date: Thu, 8 Mar 2012 08:40:25 +0100
reassign 663008 kfreebsd-kernel-headers
retitle 663008 missing net/ppp_defs.h
thanks

-- 
Robert Millan




Bug reassigned from package 'src:gnome-ppp' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 08 Mar 2012 07:45:22 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-ppp/0.3.23-1.1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 08 Mar 2012 07:45:22 GMT) Full text and rfc822 format available.

Changed Bug title to 'missing net/ppp_defs.h' from 'gnome-ppp: FTBFS(kfreebsd): fatal error: net/ppp_defs.h: No such file or directory' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 08 Mar 2012 07:45:25 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 17 Mar 2012 22:36:04 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sat, 17 Mar 2012 22:36:04 GMT) Full text and rfc822 format available.

Message #21 received at 663008-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 663008-close@bugs.debian.org
Subject: Bug#663008: fixed in kfreebsd-kernel-headers 0.78
Date: Sat, 17 Mar 2012 22:33:48 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.78

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.78.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78.dsc
kfreebsd-kernel-headers_0.78.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78.tar.gz
kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663008@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Mar 2012 23:16:31 +0100
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.78
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kFreeBSD headers for development
Closes: 663008 663091
Changes: 
 kfreebsd-kernel-headers (0.78) unstable; urgency=low
 .
   * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
   * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)
Checksums-Sha1: 
 619e81150c0dbca3493060f741e67bfc71f86018 1201 kfreebsd-kernel-headers_0.78.dsc
 1e58fdc36609c1c39480234753f1b3525c48e0e9 52520 kfreebsd-kernel-headers_0.78.tar.gz
 b3450f6e0687f404c6f3ec3b822195e085cc3a0c 1615962 kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
Checksums-Sha256: 
 0486672564916ced1b759a2bf190a337cd72b244d0b695d3c9416aa12e1895f5 1201 kfreebsd-kernel-headers_0.78.dsc
 eac0c34f41e0a963ff51831af9f168bbe62a28227f6f70309ef8b2513ac8eedb 52520 kfreebsd-kernel-headers_0.78.tar.gz
 7cb2c41924ab19bec815c7630f525d93e53ec06fe5cedb60bddd4ef8fda307cf 1615962 kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
Files: 
 bd2e76eb8f5a7a3fb9d7b380ec9bde20 1201 kernel standard kfreebsd-kernel-headers_0.78.dsc
 e5a109b9f40a27c9e0d9ca980e7600de 52520 kernel standard kfreebsd-kernel-headers_0.78.tar.gz
 01108dbbb2c3f78cd33d37f0b6f5bfaa 1615962 kernel standard kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9lDigACgkQC19io6rUCv90cQCaArOnHaRLBMrsX/cZQ0VyCucm
8PsAoIBSH1q56wof2unWhkENU6N619V0
=cIRJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Apr 2012 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:02:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.